optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoKummenberg.registers.ClassAbstracts.InputStage Class Reference
Inheritance diagram for optoKummenberg.registers.ClassAbstracts.InputStage:

## Public Member Functions
| __init__ (self, int or None channel=0, board=None)
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Static Protected Attributes
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.ClassAbstracts.InputStage.__init__ | ( |  | self,
|  | int or None | channel = 0,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

Reimplemented in optoKummenberg.registers.InputStage.ENCInput, optoKummenberg.registers.InputStage.PreciSenInput, optoKummenberg.registers.InputStage.SPI, optoKummenberg.registers.InputStage.StaticInput, optoKummenberg.registers.InputStage.Analog, optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit, optoKummenberg.registers.InputStage.RasterScan, optoKummenberg.registers.InputStage.FlowerPattern, optoKummenberg.registers.InputStage.SignalGenerator, and optoKummenberg.registers.InputStage.VectorPatternUnit.

## Member Function Documentation

## ◆ SetAsInput()

optoKummenberg.registers.ClassAbstracts.InputStage.SetAsInput | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoKummenberg.registers.ClassAbstracts.InputStage._is_a_system = False
| static protected

## ◆ name

optoKummenberg.registers.ClassAbstracts.InputStage.name

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/ClassAbstracts.py